{
    'includes': [
        '../WebKit2.gypi',
    ],
    'variables': {
        'webkit2_files': [
            '../Platform/CoreIPC/manx/ConnectionManx.cpp',
            '../Platform/manx/ModuleManx.cpp',
            '../Platform/manx/SharedMemoryManx.cpp',
            '../Platform/manx/WorkQueueManx.cpp',
            '../Shared/API/c/manx/WKCertificateInfoManx.cpp',
            '../Shared/API/c/manx/WKURLResponseManx.cpp',
            '../Shared/manx/ArgumentCodersManx.cpp',
            '../Shared/manx/LayerTreeContextManx.cpp',
            '../Shared/manx/NativeWebKeyboardEventManx.cpp',
            '../Shared/manx/NativeWebMouseEventManx.cpp',
            '../Shared/manx/NativeWebWheelEventManx.cpp',
            '../Shared/manx/PlatformCertificateInfo.cpp',
            '../Shared/manx/WebEventFactoryManx.cpp',
            '../Shared/cairo/ShareableBitmapCairo.cpp',
            '../UIProcess/API/C/manx/WKContextManx.cpp',
            '../UIProcess/API/C/manx/WKPopupMenuItem.cpp',
            '../UIProcess/API/C/manx/WKPopupMenuItem.h',
            '../UIProcess/API/C/manx/WKPagePrivateManx.cpp',
            '../UIProcess/API/C/manx/WKPagePrivateManx.h',
            '../UIProcess/API/C/manx/WKView.cpp',
            '../UIProcess/InspectorServer/manx/WebInspectorServerManx.cpp',
            '../UIProcess/InspectorServer/manx/WebSocketServerManx.cpp',
            '../UIProcess/Launcher/manx/ProcessLauncherManx.cpp',
            '../UIProcess/Launcher/manx/ThreadLauncherManx.cpp',
            '../UIProcess/Plugins/unix/PluginInfoStoreUnix.cpp',
            '../UIProcess/cairo/BackingStoreCairo.cpp',
            '../UIProcess/manx/PageClientImpl.cpp',
            '../UIProcess/manx/TextCheckerManx.cpp',
            '../UIProcess/manx/WebContextManx.cpp',
            '../UIProcess/manx/WebFullScreenManagerProxyManx.cpp',
            '../UIProcess/manx/WebInspectorProxyManx.cpp',
            '../UIProcess/manx/WebPageProxyManx.cpp',
            '../UIProcess/manx/WebPopupMenuClient.cpp',
            '../UIProcess/manx/WebPopupMenuClient.h',
            '../UIProcess/manx/WebPopupMenuItemManx.cpp',
            '../UIProcess/manx/WebPopupMenuItemManx.h',
            '../UIProcess/manx/WebPopupMenuProxyManx.cpp',
            '../UIProcess/manx/WebPopupMenuProxyManx.h',
            '../UIProcess/manx/WebPreferencesManx.cpp',
            '../UIProcess/manx/WebTileDrawingAreaProxy.cpp',
            '../UIProcess/manx/WebTileDrawingAreaProxy.h',
            '../UIProcess/manx/WebTileManagerProxy.cpp',
            '../UIProcess/manx/WebTileManagerProxy.h',
            '../UIProcess/manx/WebTileProxy.cpp',
            '../UIProcess/manx/WebTileProxy.h',
            '../UIProcess/manx/WebView.cpp',
            '../UIProcess/manx/WebViewClient.cpp',
            '../UIProcess/manx/WebViewClient.h',
            '../WebProcess/Cookies/curl/WebCookieManagerCurl.cpp',
            '../WebProcess/Downloads/curl/DownloadCurl.cpp',
            '../WebProcess/InjectedBundle/API/c/manx/WKBundleManx.cpp',
            '../WebProcess/InjectedBundle/API/c/manx/WKBundleManx.h',
            '../WebProcess/InjectedBundle/API/c/manx/WKBundleFrameManx.cpp',
            '../WebProcess/InjectedBundle/API/c/manx/WKBundleFrameManx.h',
            '../WebProcess/InjectedBundle/manx/InjectedBundleGCClient.cpp',
            '../WebProcess/InjectedBundle/manx/InjectedBundleGCClient.h',
            '../WebProcess/InjectedBundle/manx/InjectedBundleManx.cpp',
            '../WebProcess/WebCoreSupport/manx/WebContextMenuClientManx.cpp',
            '../WebProcess/WebCoreSupport/manx/WebErrorsManx.cpp',
            '../WebProcess/WebCoreSupport/manx/WebPopupMenuManx.cpp',
            '../WebProcess/WebPage/manx/LayerTreeHostManx.cpp',
            '../WebProcess/WebPage/manx/WebInspectorManx.cpp',
            '../WebProcess/WebPage/manx/WebPageManx.cpp',
            '../WebProcess/manx/WebMemoryCacheInfo.cpp',
            '../WebProcess/manx/WebMemoryCacheInfo.h',
            '../WebProcess/manx/WebProcessManx.cpp',
            '../WebProcess/manx/WebProcessMainManx.cpp',
            '../WebProcess/manx/WebTileManager.cpp',
            '../WebProcess/manx/WebTileManager.h',
            '../WebProcess/manx/WebTile.cpp',
            '../WebProcess/manx/WebTile.h',
        ],

        'webkit2_derived_source_files': [
            '<(PRODUCT_DIR)/DerivedSources/WebKit2/WebTileManagerProxyMessageReceiver.cpp',
            '<(PRODUCT_DIR)/DerivedSources/WebKit2/WebTileManagerMessageReceiver.cpp',
        ],

        'webkit2_include_dirs' : [
            '../Shared/manx',
            '../UIProcess/API/C/manx/',
            '../UIProcess/manx/',
            '../WebProcess/Downloads/manx',
            '../WebProcess/InjectedBundle/API/c/manx',
            '../WebProcess/InjectedBundle/manx',
            '../WebProcess/manx',
            '../WebProcess/WebCoreSupport/manx',
        ],
    },
    'targets': [
        {
            'target_name': 'WebKit2',
            'type' : 'static_library',
            'msvs_guid' : '0E49B377-0F83-492A-B5E7-66D936D9C2A7',
            'defines' : [
                'BUILDING_WEBKIT2',
            ],
            'direct_dependent_settings' : {
              'include_dirs' : [ 
                '<(PRODUCT_DIR)/DerivedSources/WebKit2/include',
              ],
            },
            'include_dirs' : [
                '<@(webkit2_include_dirs)',
                '<@(jscore_include_dirs)',
                '<@(webcore_include_dirs)',
            ],
            'sources': [
                '<@(webkit2_files)',
                '<@(webkit2_derived_source_files)',
            ],
            'sources/' : [
                [ 'exclude', 'WebProcess/WebKitMain.cpp' ],
            ],
            'conditions' : [
                [ 'OS=="psp2"' , {
                        'sources/' : [
                            [ 'exclude', 'AttachmentUnix.cpp' ],
                            [ 'exclude', 'ConnectionUnix.cpp' ],
                        ],
                    },
                ],
                [ 'OS=="orbis"' , {
                        'sources/' : [
                            [ 'exclude', 'ConnectionManx.cpp' ],
                            [ 'exclude', 'SharedMemoryManx.cpp' ],
                        ],
                    },
                ],
                [ 'use_accelerated_compositing==1', {
                        'sources/': [
                        ],
                        }],
                [ 'use_accelerated_compositing==0', {
                        'sources/': [
                            [ 'exclude', 'LayerTreeHostManx.cpp'],
                        ],
                        }],
            ],
        },
    ],
}
